<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="14dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="14dp"
        android:background="@drawable/bg_white_5dp">

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/iv_avatar"
            android:layout_width="42dp"
            android:layout_height="42dp"
            android:layout_marginStart="14dp"
            android:layout_marginTop="11dp"
            app:civ_border_color="@color/color_ff4347"
            app:civ_border_width="1dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/view_helper"
            android:layout_width="1px"
            android:layout_height="1px"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/iv_avatar" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_live_msg_tag"
            android:paddingStart="5dp"
            android:paddingEnd="5dp"
            android:text="直播中"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_11"
            app:layout_constraintBottom_toBottomOf="@+id/view_helper"
            app:layout_constraintLeft_toLeftOf="@+id/iv_avatar"
            app:layout_constraintRight_toRightOf="@+id/iv_avatar"
            app:layout_constraintTop_toTopOf="@+id/view_helper" />

        <TextView
            android:id="@+id/tv_title_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="7dp"
            android:includeFontPadding="false"
            android:text="「正在直播」"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toTopOf="@+id/tv_name_tip"
            app:layout_constraintLeft_toRightOf="@+id/iv_avatar"
            app:layout_constraintTop_toTopOf="@+id/iv_avatar"
            app:layout_constraintVertical_chainStyle="packed" />

        <TextView
            android:id="@+id/tv_name_tip"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="3dp"
            android:layout_marginEnd="14dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:maxLines="1"
            android:textColor="@color/color_4a4a4a"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
            app:layout_constraintLeft_toLeftOf="@+id/tv_title_tip"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_title_tip"
            tools:text="李老师在直播间等你哦～" />


        <TextView
            android:id="@+id/tv_content"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="11dp"
            android:layout_marginEnd="14dp"
            android:includeFontPadding="false"
            android:paddingTop="10dp"
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp_14"
            app:layout_constraintLeft_toLeftOf="@+id/iv_avatar"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/iv_avatar"
            tools:text="李老师带您0基础学习竖笛，通过4节课的学习掌握竖笛演奏方法。" />

        <View
            android:id="@+id/view_line"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="15dp"
            android:background="@color/color_f2f2f2"
            app:layout_constraintTop_toBottomOf="@+id/tv_content" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:paddingTop="10dp"
            android:paddingBottom="10dp"
            android:text="进入直播间"
            android:textColor="@color/color_ff4347"
            android:textSize="@dimen/sp_15"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_line" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>